#if !defined(AFX_AVLTREE_H_INCLUDED_)
#define AFX_AVLTREE_H_INCLUDED_

#pragma once

#include "xarastruc.h"

class CAVLNode
{
public:
	CAVLNode();
	virtual ~CAVLNode(void);
	CAVLNode* left;
	CAVLNode* right;
	int balance;
//	xairo_uchar* val;
	CAVLNode* Insert(const xairo_uchar* val,int&,CAVLNode*&,bool&);
	CAVLNode* Insert(xara_word&,int&,CAVLNode*&,bool&,int&);
	void Draw(int);
	class CAVLTree* m_factory;
};

class CAVLTree
{
public:
	CAVLTree();
	virtual ~CAVLTree();
	CAVLNode* m_root;
	CAVLNode* Insert(const xairo_uchar*,bool&);
	CAVLNode* Insert(xara_word&,bool&,int&);
	void Draw();

	virtual CAVLNode* NewNode(const xairo_uchar*)=0;
};

#endif