// Logger.cpp: implementation of the CLogger class.
//
//////////////////////////////////////////////////////////////////////

#define _CRTDBG_MAP_ALLOC
#include "StdAfx.h"

#include "Logger.h"
#include "Corpus.h"
#include "MemoryErr.h"
//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

#undef THIS_FILE
static char THIS_FILE[] = __FILE__;

CLogger::CLogger(UnicodeString name)
{
	m_file=iopen(name,(const UChar*) L("w"));
	if (m_file==NULL) throw(new CDiskCreateErr(name.getTerminatedBuffer(),strerror(errno)));
}

CLogger::~CLogger()
{
	fclose(m_file);
}

void CLogger::writeChars
(
    const   XMLByte* const  toWrite
   , const XMLSize_t    count
   , XMLFormatter* const   formatter
){
	fwrite((void*) toWrite,count,1,m_file);
	fflush(m_file);
//	fwrite((void*) toWrite,count,1,stdout);

}