#pragma once

#ifdef _TOOLS

#include <unicode/uchar.h>
#include <unicode/unistr.h>
#include <unicode/ucnv.h>
#include <unicode/brkiter.h>
#include <unicode/coll.h>
#include <unicode/decimfmt.h>
#include <unicode/unorm.h>
#include <unicode/normlzr.h>

#include <xercesc/dom/DOM.hpp>
#include <xercesc/dom/DOMDocument.hpp>
#include <xercesc/sax2/DefaultHandler.hpp>
#include <xercesc/sax2/SAX2XMLReader.hpp>
#include <xercesc/sax2/XMLReaderFactory.hpp>
#include <xercesc/sax2/Attributes.hpp>
#include <xercesc/util/XMLString.hpp>
#include <xercesc/util/XMLUniDefs.hpp>
#include <xercesc/util/PlatformUtils.hpp>
#include <xercesc/util/TransService.hpp>
#include <xercesc/util/TranscodingException.hpp>
#include <xercesc/framework/XMLFormatter.hpp>
#include <xercesc/framework/LocalFileFormatTarget.hpp>
#include <xercesc\framework\LocalFileInputSource.hpp>
#include <xercesc/framework/MemBufInputSource.hpp>
#include <xercesc/sax/SAXException.hpp>
#include <xercesc/sax/SAXParseException.hpp>
#include <xercesc\sax\InputSource.hpp>
#include <xercesc/sax/Locator.hpp>
#include <xercesc/parsers/XercesDOMParser.hpp>

typedef wchar_t xairo_uchar;

#define L(x) L ## x

#endif

class CSaraDefHandler :
	public XERCES_CPP_NAMESPACE::DefaultHandler
{
public:
	CSaraDefHandler(void);
	virtual ~CSaraDefHandler(void);
	XERCES_CPP_NAMESPACE::InputSource* resolveEntity(const XMLCh *const,const XMLCh *const); 
   

};
