#pragma once

#include <xercesc/dom/DOM.hpp>
#include <xercesc/dom/DOMDocument.hpp>
#include <xercesc/sax2/DefaultHandler.hpp>
#include <xercesc/sax2/SAX2XMLReader.hpp>
#include <xercesc/sax2/XMLReaderFactory.hpp>
#include <xercesc/sax2/Attributes.hpp>
#include <xercesc/util/XMLString.hpp>
#include <xercesc/util/XMLUniDefs.hpp>
#include <xercesc/util/PlatformUtils.hpp>
#include <xercesc/util/TransService.hpp>
#include <xercesc/util/TranscodingException.hpp>
#include <xercesc/framework/XMLFormatter.hpp>
#include <xercesc/framework/LocalFileFormatTarget.hpp>
#include <xercesc/framework/LocalFileInputSource.hpp>
#include <xercesc/framework/MemBufInputSource.hpp>
#include <xercesc/sax/SAXException.hpp>
#include <xercesc/sax/SAXParseException.hpp>
#include <xercesc/sax/InputSource.hpp>
#include <xercesc/sax/Locator.hpp>
#include <xercesc/parsers/XercesDOMParser.hpp>

#define MAXP 1028

using namespace XERCES_CPP_NAMESPACE;

class CUsers
{
public:
	CUsers(void);
	bool Init(const char*,int&);
	bool Lookup(const char*,const char*);
	const char* getDownload();
public:
	XERCES_CPP_NAMESPACE::DOMDocument* m_doc;
	~CUsers(void);
	void Param(const UChar*,int&);
	void ParamS(const UChar*,char*,int);
	char m_download[MAXP];
};
