#pragma once

#ifndef _WIN32
typedef int BOOL;
#define TRUE 1
#define FALSE 0
#define _MAX_PATH 256
#endif

class CXairaServer
{
public:
	virtual bool Init(const char* path,bool bLog,char*)=0;
	virtual const char* Exec(const char*)=0;
	virtual void Interrupt() {}
	virtual unsigned getAPIVersion() {return 0;}
	virtual const char* getCorpusName() {return "";}
	static BOOL TestInterrupt();
};

class CXairaSaraServer : public CXairaServer
{
public:
	CXairaSaraServer(void);
	~CXairaSaraServer(void);
	bool Init(const char* path,bool bLog,char*);
	const char* Exec(const char*);
};
